﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace WineFermentationAITool.Models
{
    public class NeuralNetworkModel
    {
        public bool IsType1 { get; set; }
        public int HiddenLayer { get; set; }
        public double LearningRate { get; set; }
        public bool IsSigmoid { get; set; }
        public string InitType { get; set; }
        public int MaxEpochs { get; set; }
        public bool[] IsTrainingSet { get; set; }
        public List<double[,]> DataSets { get; set; }
        public double TrainingError { get; set; }
        public double TestingError { get; set; }
        public double[,] TestingSet { get; set; }
    }
}
